Skip to main content

Workers

Job worker management and status monitoring.

GET /api/job-workers

List all job workers across the cluster.

Authentication: Required

Permissions: Superuser only

Response:

{
"_links": {
"self": { "href": "/api/job-workers" }
},
"_embedded": {
"inf:job-worker": [
{
"id": "worker-node-1",
"hostname": "informer-app-1",
"pid": 12345,
"enabled": true,
"maxConcurrent": 5,
"heartbeat": "2024-02-09T10:05:00Z",
"createdAt": "2024-02-09T08:00:00Z"
}
]
},
"start": 0,
"count": 1,
"total": 1
}

PUT /api/job-workers/{id}

Configure a specific job worker.

Authentication: Required

Permissions: Superuser only

Path Parameters:

ParameterTypeDescription
idstringWorker ID

Request Body:

FieldTypeDescription
enabledbooleanEnable/disable worker
maxConcurrentintegerMaximum concurrent jobs

Example:

{
"enabled": true,
"maxConcurrent": 10
}

Response:

200 OK


POST /api/job-workers/{id}/_stop

Stop a job worker.

Authentication: Required

Permissions: Superuser only

Path Parameters:

ParameterTypeDescription
idstringWorker ID

Response:

200 OK


POST /api/job-workers/{id}/_start

Start a job worker.

Authentication: Required

Permissions: Superuser only

Path Parameters:

ParameterTypeDescription
idstringWorker ID

Response:

200 OK


PUT /api/job-worker

Configure the local job worker (current thread).

Authentication: Required

Permissions: Superuser only

Request Body:

{
"enabled": true,
"maxConcurrent": 5
}

Response:

200 OK


POST /api/job-worker-stop

Stop the local job worker.

Authentication: Required

Permissions: Superuser only

Response:

200 OK


POST /api/job-worker-start

Start the local job worker.

Authentication: Required

Permissions: Superuser only

Response:

200 OK